Skip to main content
GET
/
api
/
payments
/
razorpay
/
{environment}
/
transactions
List Razorpay Transactions
curl --request GET \
  --url https://api.example.com/api/payments/razorpay/{environment}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "subjectType": "<string>",
      "subjectId": "<string>",
      "providerCustomerId": "cus_123",
      "customerEmailSnapshot": "jsmith@example.com",
      "providerReferenceId": "pi_123",
      "providerReferenceType": "payment_intent",
      "amount": 2900,
      "amountRefunded": 0,
      "currency": "usd",
      "description": "<string>",
      "paidAt": "2023-11-07T05:31:56Z",
      "failedAt": "2023-11-07T05:31:56Z",
      "refundedAt": "2023-11-07T05:31:56Z",
      "providerCreatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Query Parameters

subjectType
string

Billing subject type. Must be provided together with subjectId.

Required string length: 1 - 100
subjectId
string

Billing subject ID. Must be provided together with subjectType.

Required string length: 1 - 255
limit
integer
default:50

Maximum rows to return.

Required range: 1 <= x <= 100

Response

Razorpay transactions

transactions
object[]
required